import smtplib

class MailClient:
    def __init__(self, smtp_server, smtp_port):
        self.smtp_server = smtp_server
        self.smtp_port = smtp_port

    def send_email(self, sender_email, sender_password, recipient, subject, body):
        """Envía un correo utilizando el servidor SMTP con SSL."""
        try:
            with smtplib.SMTP(self.smtp_server, self.smtp_port) as server:
                server.login(sender_email, sender_password)
                message = f"Subject: {subject}\n\n{body}"
                server.sendmail(sender_email, recipient, message)
                return "Correo enviado correctamente"
        except Exception as e:
            return f"Error al enviar el correo: {str(e)}"
